#
# spec file for package python-Flask-Cors
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-Flask-Cors
Version:        3.0.7
Release:        lp151.2.3.1
Summary:        A Flask extension adding a decorator for CORS support
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/corydolphin/flask-cors
Source:         https://files.pythonhosted.org/packages/source/F/Flask-Cors/Flask-Cors-%{version}.tar.gz
# PATCH-FIX-UPSTREAM alarrosa@suse.com -- boo#1175986 CVE-2020-25032
Patch0:         0001-Fix-request-path-normalization.patch
BuildRequires:  %{python_module Flask >= 0.9}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Flask >= 0.9
BuildArch:      noarch
%if 0%{?suse_version} < 1500
BuildRequires:  %{python_module six}
Requires:       python-six
%endif
%python_subpackages

%description
A Flask extension for handling Cross Origin Resource Sharing (CORS),
making cross-origin AJAX possible.

%prep
%setup -q -n Flask-Cors-%{version}
%patch0 -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%license LICENSE
%dir %{python_sitelib}/flask_cors
%{python_sitelib}/flask_cors/*
%dir %{python_sitelib}/Flask_Cors-%{version}-py*.egg-info
%{python_sitelib}/Flask_Cors-%{version}-py*.egg-info/*

%changelog
* Tue Sep  1 2020 Antonio Larrosa <alarrosa@suse.com>
- Add patches to fix a relative directory traversal issue
  (boo#1175986, CVE-2020-25032):
  * 0001-Fix-request-path-normalization.patch
* Mon Nov 12 2018 Arun Persaud <arun@gmx.de>
- specfile:
  * be more specific in %%files section
- update to version 3.0.7:
  * Updated logging.warn to logging.warning (#234) Thanks Vaibhav
* Tue Jul 17 2018 alarrosa@suse.com
- Require python-six in Leap 42.3 to fix build
* Mon Jul 16 2018 tchvatal@suse.com
- Enable testsuite
* Thu Jul 12 2018 alarrosa@suse.com
- Initial package for python-Flask-Cors 3.0.6
